summaryrefslogtreecommitdiff
path: root/dev-python/python-pskc
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-04 05:48:38 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-04 05:48:38 -0500
commitbfd9c39e4712ebdb442d4ca0673061faed1e70e1 (patch)
tree0d7a74b4463ee387f9cf9368ceb1b757f694f72a /dev-python/python-pskc
parentf716a9fe6455d39eef01e718aae68dae61c19704 (diff)
downloadbaldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.tar.gz
baldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.tar.xz
baldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.zip
Revert "Adding metadata"
This reverts commit f716a9fe6455d39eef01e718aae68dae61c19704.
Diffstat (limited to 'dev-python/python-pskc')
-rw-r--r--dev-python/python-pskc/Manifest1
-rw-r--r--dev-python/python-pskc/metadata.xml17
-rw-r--r--dev-python/python-pskc/python-pskc-1.4.ebuild43
-rw-r--r--dev-python/python-pskc/python-pskc-9999.ebuild43
4 files changed, 104 insertions, 0 deletions
diff --git a/dev-python/python-pskc/Manifest b/dev-python/python-pskc/Manifest
new file mode 100644
index 000000000000..aa94db973d31
--- /dev/null
+++ b/dev-python/python-pskc/Manifest
@@ -0,0 +1 @@
+DIST python_pskc-1.4.tar.gz 138221 BLAKE2B b58eea688007ff1fc8895aafc249ef1e5ab97e797ab2ce8c928cc33f58e87068ab09088f2033af8b2bbea719dc82bf2fce98a3c0206c991938e7569f3bc94d2d SHA512 e2e1999dc108936b91d19b015a446387db11d8d166a2e25a151da0080bd68f91bf701bab1ff02e04862da95991a8d399fbe0389483788451f1d7fcd588df2c06
diff --git a/dev-python/python-pskc/metadata.xml b/dev-python/python-pskc/metadata.xml
new file mode 100644
index 000000000000..8f93dc54bad8
--- /dev/null
+++ b/dev-python/python-pskc/metadata.xml
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person" proxied="yes">
+ <email>mario.haustein@hrz.tu-chemnitz.de</email>
+ <name>Mario Haustein</name>
+ </maintainer>
+ <maintainer type="project" proxied="proxy">
+ <email>proxy-maint@gentoo.org</email>
+ <name>Proxy Maintainers</name>
+ </maintainer>
+ <stabilize-allarches/>
+ <upstream>
+ <remote-id type="github">arthurdejong/python-pskc</remote-id>
+ <remote-id type="pypi">python-pskc</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/python-pskc/python-pskc-1.4.ebuild b/dev-python/python-pskc/python-pskc-1.4.ebuild
new file mode 100644
index 000000000000..d89a4e5aa9f8
--- /dev/null
+++ b/dev-python/python-pskc/python-pskc-1.4.ebuild
@@ -0,0 +1,43 @@
+# Copyright 2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python module for handling Portable Symmetric Key Container files"
+HOMEPAGE="
+ https://pypi.org/project/python-pskc/
+ https://arthurdejong.org/python-pskc/
+ https://github.com/arthurdejong/python-pskc
+"
+
+if [[ ${PV} == "9999" ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://arthurdejong.org/git/python-pskc"
+else
+ inherit pypi
+ KEYWORDS="amd64 ~arm64 ~ppc64 ~riscv"
+fi
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+
+RDEPEND="
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ dev-python/defusedxml[${PYTHON_USEDEP}]
+ dev-python/signxml[${PYTHON_USEDEP}]
+"
+
+src_prepare() {
+ default
+
+ sed -i -e "s/ --cov=pskc --cov-report=term-missing:skip-covered --cov-report=html//" "${S}/setup.cfg" || die
+}
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
diff --git a/dev-python/python-pskc/python-pskc-9999.ebuild b/dev-python/python-pskc/python-pskc-9999.ebuild
new file mode 100644
index 000000000000..ce4ef4fe95ec
--- /dev/null
+++ b/dev-python/python-pskc/python-pskc-9999.ebuild
@@ -0,0 +1,43 @@
+# Copyright 2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python module for handling Portable Symmetric Key Container files"
+HOMEPAGE="
+ https://pypi.org/project/python-pskc/
+ https://arthurdejong.org/python-pskc/
+ https://github.com/arthurdejong/python-pskc
+"
+
+if [[ ${PV} == "9999" ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://arthurdejong.org/git/python-pskc"
+else
+ inherit pypi
+ KEYWORDS="~amd64 ~arm64 ~ppc64 ~riscv"
+fi
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+
+RDEPEND="
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ dev-python/defusedxml[${PYTHON_USEDEP}]
+ dev-python/signxml[${PYTHON_USEDEP}]
+"
+
+src_prepare() {
+ default
+
+ sed -i -e "s/ --cov=pskc --cov-report=term-missing:skip-covered --cov-report=html//" "${S}/setup.cfg" || die
+}
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest